variants/search. Each response contains at most pageSize variants and a nextCursor. Replay the cursor with the same search terms to get the next page. An empty nextCursor means the walk is complete.curl --location 'https://api.dev.ordermesh.io/catalog/v1/variants/search/paged' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"skus": [
"string"
],
"variantIds": [
"string"
],
"pageSize": 0,
"cursor": "string"
}'{
"variants": [
{
"id": "string",
"productId": "string",
"productType": "string",
"categories": [
"string"
],
"sku": "string",
"attributes": [
{
"id": "string",
"name": "string",
"value": "string",
"valueId": "string"
}
],
"options": [
{
"id": "string",
"name": "string",
"value": "string",
"valueId": "string"
}
],
"decorations": [
{
"area": "string",
"width": 0,
"height": 0,
"dpi": 0,
"method": "string",
"price": {
"amount": 0,
"currency": "string",
"currencies": [
{
"amount": 0,
"currency": "string"
}
]
},
"printImage": {
"sourcePrintFileUrl": "string",
"imageUploadStatus": 0,
"imageUploadStatusDesc": "string",
"ourPrintFileId": "string",
"ourPrintFileUrl": "string",
"placementX": 0,
"placementY": 0,
"placementScale": 0,
"placementAngle": 0
},
"attributes": [
{
"name": "string",
"value": "string"
}
]
}
],
"price": {
"amount": 0,
"currency": "string",
"currencies": [
{
"amount": 0,
"currency": "string"
}
]
},
"status": "string",
"images": [
"string"
],
"gtin": "string",
"upc": "string",
"partNumber": "string",
"extras": [
{
"name": "string",
"value": "string"
}
]
}
],
"nextCursor": "string"
}